All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
qr.cpp File Reference
`#include <utility>`
`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <cmath>`
`#include <algorithm>`
`#include <stdio.h>`
`#include <sys/time.h>`
`#include <time.h>`
`#include "viennacl/linalg/qr.hpp"`
`#include "boost/numeric/ublas/vector.hpp"`
`#include "boost/numeric/ublas/matrix.hpp"`
`#include "boost/numeric/ublas/io.hpp"`

Go to the source code of this file.

## Macros

#define | VIENNACL_WITH_UBLAS
#define | NDEBUG

## Functions

int | main (int argc, const char *argv[])

## Macro Definition Documentation

#define NDEBUG

Definition at line 20 of file qr.cpp.

#define VIENNACL_WITH_UBLAS

Definition at line 18 of file qr.cpp.

## Function Documentation

int main | ( | int | argc,
|  | const char * | argv[]
| ) |  |

Examples:
  qr.cpp.

Definition at line 53 of file qr.cpp.